SuperOfferList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class SuperOfferList

    java.lang.Object
      com.fenalco.entities.SuperOfferList

    public class SuperOfferList

extends java.lang.Object

Esta clase representa una lista de superofertas

Field Summary
`private java.util.Hashtable` | `superOffers` Es un Hashtable que tiene como llave un int que representa el id de una superoferta, el objeto es de tipo `SuperOffer`

Constructor Summary
`SuperOfferList()` Constructor por defecto de la clase SuperOfferList
`SuperOfferList(int companyId, int companyTypeId)` Constructor de la clase SuperOffer
`SuperOfferList(int companyId, int companyTypeId, int storeId)` Constructor de la clase SuperOffer

Method Summary
`void` | `filter(int criteria)` Deja en la lista de superofertas las superofertas que cumplan con el criterio
`void` | `filterValids(int storeId)`
`int` | `getSize()` Esta función retorna la cantidad de superofertas de la lista
`java.util.Hashtable` | `getSuperOffers()` Consultor para el atributo superOffers.
`boolean` | `loadData()` Hace una consulta en la tabla super_oferta por medio del método `query` de la clase `SqlUtilities` para cargar la lista de superofertas y llenar la variable superOffers con todas las superofertas registradas en el sistema, ordenadas por fecha de inicio
`boolean` | `loadData(int companyId, int companyTypeId, int storeId)` Hace una consulta en la tabla super_oferta por medio del método `query` de la clase `SqlUtilities` para cargar la lista de superofertas y llenar la variable superOffers con las superofertas ofrecidas por un proveedor o las ofertas que puede ver un cierto minorista (el tipo de empresa depende de los parámetros)
`static void` | `main(java.lang.String[] args)`
`void` | `setSuperOffers(java.util.Hashtable superOffers)` Modificador para el atributo superOffers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### superOffers

    private java.util.Hashtable superOffers

  Es un Hashtable que tiene como llave un int que representa el id de una superoferta, el objeto es de tipo `SuperOffer`

Constructor Detail

### SuperOfferList

    public SuperOfferList()

  Constructor por defecto de la clase SuperOfferList

### SuperOfferList

    public SuperOfferList(int companyId,
                          int companyTypeId)

  Constructor de la clase SuperOffer

  Parameters:
    `companyId` - id que identifica a una empresa
    `companyTypeId` - id que indica el tipo de empresa

### SuperOfferList

    public SuperOfferList(int companyId,
                          int companyTypeId,
                          int storeId)

  Constructor de la clase SuperOffer

  Parameters:
    `companyId` - id que identifica a una empresa
    `companyTypeId` - id que indica el tipo de empresa
    `storeeId` - id que indica el establecimiento del minorista

Method Detail

### loadData

    public boolean loadData()

  Hace una consulta en la tabla super_oferta por medio del método `query` de la clase `SqlUtilities` para cargar la lista de superofertas y llenar la variable superOffers con todas las superofertas registradas en el sistema, ordenadas por fecha de inicio

  Returns:
    booleano que indica si la carga de la lista fue exitosa

### loadData

    public boolean loadData(int companyId,
                            int companyTypeId,
                            int storeId)

  Hace una consulta en la tabla super_oferta por medio del método `query` de la clase `SqlUtilities` para cargar la lista de superofertas y llenar la variable superOffers con las superofertas ofrecidas por un proveedor o las ofertas que puede ver un cierto minorista (el tipo de empresa depende de los parámetros)

  Parameters:
    `companyId` - id que identifica a una empresa
    `companyTypeId` - id que identifica el tipo de una empresa 0:proveedor, 1:minorista
    `storeId` - id del establecimiento del minorista
  Returns:
    booleano que indica si la carga de la lista fué exitosa

### getSuperOffers

    public java.util.Hashtable getSuperOffers()

  Consultor para el atributo superOffers.

  Returns:
    Valor para el atributo superOffers.

### setSuperOffers

    public void setSuperOffers(java.util.Hashtable superOffers)

  Modificador para el atributo superOffers.

  Parameters:
    `superOffers` - Nuevo valor para el atributo superOffers.

### filter

    public void filter(int criteria)

  Deja en la lista de superofertas las superofertas que cumplan con el criterio

  Parameters:
    `criteria` - Criterio para filtrar ("active","inactive")donde el criterio de inactiva identifica a una superoferta 1:activas 0:inactivas cuya fecha de finalización ha expirado.

### filterValids

    public void filterValids(int storeId)

### getSize

    public int getSize()

  Esta función retorna la cantidad de superofertas de la lista

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD